import { AfterViewChecked, AfterViewInit, EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { SlidePanelService } from "./slide-panel.service";
import * as i0 from "@angular/core";
export declare class SlidePanelComponent implements OnInit, AfterViewChecked, AfterViewInit, OnDestroy {
    private readonly slidePanelService;
    static nextId: number;
    id: string;
    openIcon: string;
    closeIcon: string;
    cache: boolean;
    createOpen: boolean;
    noOverlap: boolean;
    panelOpened: EventEmitter<void>;
    panelClosed: EventEmitter<void>;
    isOpen: boolean;
    isSlideOver: boolean;
    isAnimating: boolean;
    isContentAnimationDisabled: boolean;
    private _unsubscribe$;
    onResize(): void;
    constructor(slidePanelService: SlidePanelService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    onClickButton(): void;
    onContentAnimationStart(): void;
    onContentAnimationDone(): void;
    private _checkOverBehavior;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlidePanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SlidePanelComponent, "s-slide-panel", never, { "id": { "alias": "id"; "required": false; }; "openIcon": { "alias": "openIcon"; "required": false; }; "closeIcon": { "alias": "closeIcon"; "required": false; }; "cache": { "alias": "cache"; "required": false; }; "createOpen": { "alias": "createOpen"; "required": false; }; "noOverlap": { "alias": "noOverlap"; "required": false; }; }, { "panelOpened": "panelOpened"; "panelClosed": "panelClosed"; }, never, ["[side-content]", "[slide-content]"], false, never>;
}
